#version 430

layout(binding = 0) uniform sampler2D texBackbuffer;
layout(binding = 1) uniform sampler2D texBlurTexture;
layout(location = 0) in vec2 iTex;

out vec4 outColor;

void main()
{
	vec3 color = texture(texBackbuffer, iTex).rgb;
	vec3 bloom = texture(texBlurTexture, iTex).rgb;
	color = color + bloom;

	outColor = vec4(color, 1);
}
