#version 430


//######################################################//
//### Standard inputs/uniforms for every pixelshader ###//
//######################################################//
layout(std140, binding = 0) uniform perFrame
{
	mat4x4	vp;
	mat4x4  invVP;

	mat4x4	view;
	mat4x4	invView;
	mat4x4	invTransView;

	mat4x4	proj;
	mat4x4	invProj;

	vec3	eyePos;
	float	gt;
	float	dt;
	uint	screenW;
	uint	screenH;

};

layout(location = 1) uniform mat4x4 modelToWorld;
//layout(location = 25) uniform mat4x4 modelInvTrans;

layout(location = 0) in vec4 iPosW;
layout(location = 1) in vec4 iPosH;
layout(location = 2) in vec2 iTex;

//out float depth;
//######################################################//
//### Standard inputs/uniforms for every pixelshader ###//
//######################################################//



void main()
{
//	depth = iPosH.z;
}
