#version 430


//###################################################//
//### Inputs/uniforms for our gbuffer pixelshader ###//
//###################################################//
layout(std140, binding = 0) uniform perFrame
{
	mat4x4	vp;
	mat4x4  invVP;

	mat4x4	view;
	mat4x4	invView;
	mat4x4	invTransView;

	mat4x4	proj;
	mat4x4	invProj;

	vec3	eyePos;
	float	gt;
	float	dt;
	uint	screenW;
	uint	screenH;

};

layout(location = 10) uniform float ALPHA = 1;


layout(location = 0) in vec3 iPosW;
layout(location = 1) in vec3 iColor;

layout(location = 0) out vec4 oColor;

void main()
{
	float alpha = ALPHA * .5;
//	oColor = vec4(.4, 0.5, 0, alpha);
	oColor = vec4(iColor, alpha);
}