#version 430

layout(binding = 0) uniform sampler2D image;
layout(location = 0) in vec2 iTex;


out vec4 outColor;

void main()
{
	vec3 color = texture(image, iTex).rgb;
	float brightness = dot(color, vec3(.2126, .7152, .0722));
//	if( brightness < 1 ) color = vec3(0);
	if( brightness < .8 ) color = vec3(0);
	outColor = vec4(color, 1);
}
